# $Revision: 1.112 $, $Date: 2012/06/22 15:48:13 $
Summary:	GNU gzip file compression
Summary(de.UTF-8):	Dateikomprimierung GNU-gzip
Summary(es.UTF-8):	Compresor de archivos gzip GNU
Summary(fr.UTF-8):	GNU gzip pour la compression de fichiers
Summary(pl.UTF-8):	GNU gzip
Summary(pt_BR.UTF-8):	Compressor de arquivos gzip GNU
Summary(ru.UTF-8):	Программа сжатия данных GNU gzip
Summary(tr.UTF-8):	GNU gzip dosya sıkıştırma aracı
Summary(uk.UTF-8):	Програма компресії даних GNU gzip
Name:		gzip
Version:	1.5
Release:	1
License:	GPL v3+
Group:		Applications/Archiving
Source0:	http://ftp.gnu.org/gnu/gzip/%{name}-%{version}.tar.xz
# Source0-md5:	2a431e169b6f62f7332ef6d47cc53bae
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	ea70155215d7b7d413ff476b668bcbbd
Patch0:		%{name}-mktemp.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-stderr.patch
Patch3:		%{name}-zgreppipe.patch
Patch4:		%{name}-noppid.patch
Patch5:		%{name}-rsyncable.patch
URL:		http://www.gnu.org/software/gzip/
BuildRequires:	autoconf >= 2.60
%if "%{pld_release}" == "ac"
BuildRequires:	automake >= 1:1.7
%else
BuildRequires:	automake >= 1:1.11
%endif
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires:	mktemp
Provides:	gzip(rsyncable)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the popular GNU file compression and decompression program,
gzip.

%description -l de.UTF-8
Dies ist das beliebte GNU-Dateikompressions- und
Dekompressionsprogramm, gzip.

%description -l es.UTF-8
Este es el popular programa GNU de compresión y descompresión de
archivos, gzip.

%description -l fr.UTF-8
Programme de compression et de décompression gzip de GNU

%description -l pl.UTF-8
GNU gzip to popularny program służący do kompresji i dekompresji
danych.

%description -l pt_BR.UTF-8
Este é o popular programa GNU de compressão e descompressão de
arquivos, gzip.

%description -l ru.UTF-8
Пакет gzip содержит популярную программу сжатия данных GNU gzip.
Сжатые ею файлы имеют расширение .gz.

%description -l tr.UTF-8
gzip, Unix işletim sistemlerinde çok yaygın olarak kullanılan bir
dosya sıkıştırma ve açma aracıdır.

%description -l uk.UTF-8
Пакет gzip містить популярну програму компресії даних GNU gzip.
Оброблені нею файли мають розширення .gz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/AM_SILENT_RULES/d' configure.ac
%{__sed} -i -e '/AM_INIT_AUTOMAKE/s,1\.11,1.10,' configure.ac
%{__sed} -i -e '/AM_INIT_AUTOMAKE/s,dist-xz,,' configure.ac
%{__sed} -i -e '/AM_INIT_AUTOMAKE/s,color-tests,,' configure.ac
%{__sed} -i -e '/AM_INIT_AUTOMAKE/s,parallel-tests,,' configure.ac
%endif

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/bin,%{_mandir}/pt/man1,/etc/env.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/gzip $RPM_BUILD_ROOT/bin
%{__rm} $RPM_BUILD_ROOT%{_bindir}/gunzip $RPM_BUILD_ROOT%{_bindir}/zcat

cat << EOF >$RPM_BUILD_ROOT/etc/env.d/GZIP
#GZIP="-5"
EOF

cat > $RPM_BUILD_ROOT/bin/gunzip <<'EOF'
#!/bin/sh
exec /bin/gzip -d "$@"
EOF
cat > $RPM_BUILD_ROOT/bin/zcat <<'EOF'
#!/bin/sh
exec /bin/gzip -cd "$@"
EOF
ln -sf /bin/gzip $RPM_BUILD_ROOT%{_bindir}/gzip
ln -sf /bin/gunzip $RPM_BUILD_ROOT%{_bindir}/gunzip

# conflicts with ncompress
%{__rm} $RPM_BUILD_ROOT%{_bindir}/uncompress

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
mv $RPM_BUILD_ROOT%{_mandir}/pt/*.1 $RPM_BUILD_ROOT%{_mandir}/pt/man1

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.gzip-non-english-man-pages*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/gzip-da_de_gzip.patch*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* THANKS TODO
%attr(755,root,root) /bin/gzip
%attr(755,root,root) /bin/gunzip
%attr(755,root,root) /bin/zcat
%attr(755,root,root) %{_bindir}/gzexe
%attr(755,root,root) %{_bindir}/gzip
%attr(755,root,root) %{_bindir}/gunzip
%attr(755,root,root) %{_bindir}/zcmp
%attr(755,root,root) %{_bindir}/zdiff
%attr(755,root,root) %{_bindir}/zegrep
%attr(755,root,root) %{_bindir}/zfgrep
%attr(755,root,root) %{_bindir}/zforce
%attr(755,root,root) %{_bindir}/zgrep
%attr(755,root,root) %{_bindir}/zless
%attr(755,root,root) %{_bindir}/zmore
%attr(755,root,root) %{_bindir}/znew
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/GZIP
%{_mandir}/man1/gzexe.1*
%{_mandir}/man1/gzip.1*
%{_mandir}/man1/gunzip.1*
%{_mandir}/man1/zcat.1*
%{_mandir}/man1/zcmp.1*
%{_mandir}/man1/zdiff.1*
%{_mandir}/man1/zforce.1*
%{_mandir}/man1/zgrep.1*
%{_mandir}/man1/zless.1*
%{_mandir}/man1/zmore.1*
%{_mandir}/man1/znew.1*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(id) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%{_infodir}/gzip.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gzip.spec,v $
Revision 1.112  2012/06/22 15:48:13  qboosh
- updated to 1.5
- updated stderr,noppid,rsyncable patches
- removed obsolete CVE-2006-433x patch (slightly different fixes applied
  upstream in 1.3.7-1.3.8)

Revision 1.111  2010/02/08 19:07:48  qboosh
- updated info patch

Revision 1.110  2010/01/22 16:51:45  glen
- release 3

Revision 1.109  2010/01/22 16:51:18  glen
- ac compatible

Revision 1.108  2010/01/21 07:21:37  glen
- release 2

Revision 1.107  2010/01/21 02:54:58  draenog
- up to 1.4 (fixes CVE-2010-0001)

Revision 1.106  2009/10/25 20:54:59  areq
- Source0-md5:        c54a31b93e865f6a4410b2dc64662706

Revision 1.105  2009/10/07 19:28:39  adamg
- updated to 1.3.13
- futimens, autoconf patches applied upstream
- info patch needs review

Revision 1.104  2008/12/03 10:50:10  blues
- GZIP option in env.d

Revision 1.103  2008/11/19 10:15:18  glen
- release 2

Revision 1.102  2008/08/06 22:16:28  adamg
- autoconf.patch

Revision 1.101  2008/04/08 08:24:52  glen
- unify ftp.gnu.org urls

Revision 1.100  2008-01-24 01:23:00  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.99  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.98  2007/05/18 17:34:26  sparky
- added futimens patch

Revision 1.97  2007/04/19 21:24:29  arekm
- rel 1

Revision 1.96  2007/04/18 09:21:33  qboosh
- updated to 1.3.12
- updated info,stderr,zgreppipe,noppid patches
- changed gunzip,zcat symlinks into wrappers following upstream

Revision 1.95  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.94  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.93  2006/12/20 16:36:34  qboosh
- updated to 1.3.9

Revision 1.92  2006/12/12 23:36:21  qboosh
- updated to 1.3.8
- updated mktemp,stderr,noppid patches
- removed obsolete segfault,raise-unblock patches

Revision 1.91  2006/12/03 17:55:16  qboosh
- replaced raise-unblock patch by simpler version from upstream; release 0.3

Revision 1.90  2006/11/30 17:56:03  qboosh
- added raise-unblock patch (fixes abort() on SIGPIPE with -q)

Revision 1.89  2006/11/30 07:13:18  qboosh
- -q not -f

Revision 1.88  2006/11/30 07:02:43  qboosh
- first problem noticed

Revision 1.87  2006/11/29 23:43:54  qboosh
- updated to 1.3.6
- updated mktemp,info,stderr,noppid,rsyncable,CVE-2006-433x patches
- removed obsolete dir-traversal,CAN-2006-0758,CVE-2005-0988 patches
- release 0.1 (needs some testing)

Revision 1.86  2006/10/03 13:39:41  qboosh
- actually apply CVE-2006-433x patch, release 13

Revision 1.85  2006/09/25 18:53:07  adamg
- release 12 (resolves CVE-2006-4334, CVE-2006-4335, CVE-2006-4336,
  CVE-2006-4337 and CVE-2006-4338)

Revision 1.84  2006/06/22 07:31:00  qboosh
- release 11 (updated CAN-2005-0758 patch on AC-branch to drop bash dep)

Revision 1.83  2006/06/21 12:23:52  qboosh
- added CVE-2005-0988 patch (taken from RH bugzilla)
- release 10

Revision 1.82  2006/06/21 12:14:16  qboosh
- CVE-2005-1228 is already fixed by dir-traversal patch (fixed CVE ref. in changelog)

Revision 1.81  2006/06/14 20:22:57  glen
- rel 9

Revision 1.80  2006/06/13 22:07:58  blues
- added CAN-2005-0758 patch - still 2 SECURITY TODOs to review

Revision 1.79  2006/06/13 20:55:16  blues
- added rsyncable patch

Revision 1.78  2005/05/09 21:50:42  glen
- TODO security

Revision 1.77  2005/04/28 07:25:46  pluto
- dir traversal patch updated and enabled.
- release 8.

Revision 1.76  2005/04/20 23:11:08  pluto
- downgrade release to 7.1 (last patch breaks spec builds).

Revision 1.75  2005/04/20 21:23:26  pluto
- dir traversalbug fixed (CVE-2005-1228).
- release 8.

Revision 1.74  2005/03/21 22:08:01  mmazur
- rel 7 for th

Revision 1.73  2005/02/04 06:56:46  qboosh
- removed outdated Source1 URL

Revision 1.72  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.71  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.70  2004/10/12 21:43:44  mmazur
- rel 6 for th

Revision 1.69  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.68  2004/01/23 09:57:58  jajcus
- Release: 5 (to rebuild on AMD64 and _tag_)

Revision 1.67  2003/08/30 13:31:18  mmazur
- rel 4 for ac

Revision 1.66  2003/08/07 10:43:45  qboosh
- SEGV is specific to gcc's data segment alignment on alpha, but actual
  bug (reading array out of bounds) isn't - so enabled segfault patch on
  all archs, since I can't find better fix
- release 3

Revision 1.65  2003/08/06 20:49:14  blues
- cosmetics

Revision 1.64  2003/08/05 21:32:46  djrzulf
- added patch for segfault on alpha,

Revision 1.63  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.62  2003/05/25 05:48:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.61  2003/02/19 12:59:27  areq
- dirty fix pt man

Revision 1.60  2003/01/19 22:25:18  qboosh
- fixed pt man pages dir

Revision 1.59  2003/01/19 12:35:55  kloczek
- merge translations and pt man pages from Conectiva.

Revision 1.58  2003/01/19 01:39:40  qboosh
- 1.3.5, updated info,mktemp,noppid,stderr patches
- removed obsolete zforce,cpp_macros,ac patches

Revision 1.57  2002/10/09 13:14:32  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.56  2002/08/13 12:22:54  kloczek
- merge translations from KSI.

Revision 1.55  2002/08/13 12:02:48  qboosh
- finished post-merge cleanup

Revision 1.54  2002/08/13 11:50:24  qboosh
- merged DEVEL (updated to 1.3.3)

Revision 1.53  2002/08/03 22:32:01  areq
- add ac.patch (remove LIBOBJS=)

Revision 1.52  2002/05/21 23:13:33  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/04/25 16:32:38  arturs
- fixed a small typo

Revision 1.50  2002/04/07 08:19:27  filon
- added -c -f to automake flags (for athlon)

Revision 1.49.2.4  2002/05/21 20:41:42  qboosh
- fixed info patch, use new %doc

Revision 1.49.2.3  2002/03/16 20:03:54  mmazur
- release 1; STBR for nest

Revision 1.49.2.2  2002/03/16 19:32:40  mmazur
- fixes with patches

Revision 1.49.2.1  2002/03/16 19:17:00  mmazur
- updated to 1.3.3

Revision 1.49  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/24 00:13:00  ankry
- added man-pages tar URL

Revision 1.46  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/12/12 15:35:53  qrczak
- gzip-cpp_macros.patch: avoid #ifdef in a macro argument
- Release 19

Revision 1.44  2001/12/12 15:14:13  wrobell
- fixed zgreppipe patch so empty line after every file is not added
  /try to zgrep multiple lines/
- rel. 18, stb

Revision 1.43  2001/11/12 07:09:38  ankry
- removed bogus da man pages
- release 17

Revision 1.42  2001/11/10 23:25:23  ankry
- added da,de,,es,fi,fr,hu,id,it,ja,ko man pages
- pl man pages moved from patch to tar & updated
- release 16

Revision 1.41  2001/07/26 07:59:51  kloczek
- added ac_fix patch (quote all functions name in AC_DEFUN() in [])
- added automake and autoconf to BuildRequires,
- run autoconf in %build before %configure.

Revision 1.40  2001/07/26 06:47:18  kloczek
- merge noppid patch from rawhide (fixes tmp races in scripts) but with
  modyfication (use ${TMPDIR:-/tmp} instead /tmp).

Revision 1.39  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2001/07/25 12:34:44  mkochano
- Release 15.
- Rebuild with corrected gzip-zgreppipe patch.

Revision 1.36  2001/06/15 16:15:40  qboosh
- passing z* scripts through sed was not necessary and broke hardlinks - removed
- release 14

Revision 1.35  2001/06/10 14:47:28  kloczek
- release 13,
- use ${TMPDIR:-/tmp} instead directly /tmp in mktemp patch,
- merget stderr and zgreppipe rawhide patches.

Revision 1.34  2001/06/09 14:10:09  malekith
- fixed broken gzexe (mktemp patch)
- rel 8, stbr. also please update on builder to get working e3
- auto* stuff hopfully fixed

Revision 1.33  2000/10/20 16:39:02  kloczek
- release 7: use new rpm automation.

Revision 1.32  2000/06/09 07:54:42  kloczek
- more %{__make} macros.

Revision 1.31  2000/06/09 07:22:58  kloczek
- added using %{__make} macro.

Revision 1.30  2000/06/05 04:52:31  kloczek
- updated to 1.3 (release 4),
- revisited patches list,
- DESTDIR style %install.

Revision 1.29  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.28  2000/05/21 14:46:41  kloczek
- spec adapterized.

Revision 1.27  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.26  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.24  2000/01/21 00:11:50  kloczek
- removed double Group(pl).

Revision 1.23  2000/01/21 00:06:19  kloczek
- release 20,
- added LDFLAGS="-s" to make parameters (now all binaries are stripped),
- adapter(ized).

Revision 1.22  1999/09/30 18:48:32  kloczek
- cosmetics.

Revision 1.21  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.20  1999/09/19 09:41:00  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.19  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
